Introduction
The PicoBot API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.
Base URL
Section titled “Base URL”All API requests should be made to the following base URL:
https://app.picobot.dev/apiAuthentication
Section titled “Authentication”The PicoBot API uses Bearer Tokens to authenticate requests. You can view and manage your API keys in the PicoBot Dashboard under the Settings > API Keys tab.
Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.
All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.
Provide your API key in the Authorization header of your HTTP requests:
curl -X GET https://app.picobot.dev/api/v1/chatbots \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"Content Type
Section titled “Content Type”All requests and responses use application/json. Ensure that you send the Content-Type: application/json header in your requests.
Rate Limiting
Section titled “Rate Limiting”To prevent abuse and ensure stability for all users, the PicoBot API enforces rate limits.
- You can make up to 20 requests per minute per IP Address on the Free Tier.
- If you exceed this limit, the API will return a
429 Too Many Requestsstatus code.
Learn more about Rate Limiting →
Errors
Section titled “Errors”PicoBot uses conventional HTTP response codes to indicate the success or failure of an API request.
2xxcodes indicate success.4xxcodes indicate an error that failed given the information provided (e.g., a required parameter was omitted, a charge failed, etc.).5xxcodes indicate an error with PicoBot’s servers (these are rare).
{ "error": { "code": "unauthorized", "message": "Invalid API key provided." }}